<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\User $user
 */
$this->assign('title', __('Forgot Password'));
$this->assign('description', __('Enter your e-mail address below to reset your password.'));
?>
<div class="col-11 col-md-6 col-lg-7 col-xl-5 space">
	<?php if (!isset($user->id)) { ?>
		<?= $this->Flash->render() ?>
		<?= $this->Form->create($user, ['class' => 'form form--sm']); ?>

			<h1 class="h4 text-center mb-30 color-primary">
				<?= __('Enter your e-mail address below to reset your password.') ?>
			</h1>
			<div class="form-group mb-20">
				<label class="label-control mb-10" for="email"><?=__('Email Address:') ?></label>
				<?=
				$this->Form->control('email', [
					'label' => false,
					'placeholder' => __('Email'),
					'class' => 'form-control',
					'type' => 'email'
				])
				?>
			</div>

			<?php if ((get_option('enable_captcha_forgot_password') == 'yes') && isset_captcha()) : ?>
				<div class="form-group captcha text-center">
					<div id="captchaForgotpassword" style="display: inline-block;"></div>
				</div>
			<?php endif; ?>
			
			<div class="form-group d-flex align-items-center justify-content-between">
				<a class="btn--color-primary btn-text-hover small" href="<?= $this->Url->build([
				'controller' => 'Users', 
				'action' => 'signin', 
				'prefix' => 'auth'
				]); 
				?>"><i class="fa fa fa-long-arrow-left mr-10"></i><?= __('I already have a membership') ?></a>
			
				<?= $this->Form->button(__('Submit'), [
					'class' => 'btn btn--bg-primary btn-splash-hover btn-3d-hover btn-flat btn-captcha',
					'id' => 'invisibleCaptchaForgotpassword'
				]); ?>
				<?= $this->Form->end() ?>
			</div>
		<?php } else { ?>

		<?= $this->Form->create($user, ['class' => 'form form--sm']); ?>
			<h1 class="h4 text-center mb-30 color-primary">
				<?= __('Enter New Password.') ?>
			</h1>
			<?= $this->Form->hidden('id', ['value' => $user->id]); ?>
			<div class="form-group mb-20">
				<label class="label-control mb-10" for="email"><?=__('New Password:') ?></label>
				<?=
				$this->Form->control('password', [
					'label' => false,
					'placeholder' => __('New Password'),
					'class' => 'form-control',
					'type' => 'password'
				])
				?>
			</div>
			<div class="form-group mb-20">
				<label class="label-control mb-10" for="email"><?=__('Re Enter New Password:') ?></label>
				<?=
				$this->Form->control('confirm_password', [
					'label' => __('Re-enter New Password'),
					'label' => false,
					'placeholder' => __('Re-enter New Password'),
					'class' => 'form-control',
					'type' => 'password'
				])
				?>
			</div>
	
			<div class="form-group d-flex align-items-center justify-content-between">
				<a class="btn--color-primary btn-text-hover small" href="<?= $this->Url->build([
				'controller' => 'Users', 
				'action' => 'signup', 
				'prefix' => 'auth'
				]); 
				?>"><i class="fa fa fa-long-arrow-left mr-10"></i><?= __('Register a new membership') ?></a>
				<?= $this->Form->button(__('Submit'), [
					'class' => 'btn btn--bg-primary btn-splash-hover btn-3d-hover btn-flat btn-captcha',]); ?>
				<?= $this->Form->end() ?>
			</div>

		<?= $this->Form->end() ?>
	<?php } ?>
</div>