<?php
/**
 * @var \App\View\AppView $this
 */
?>
<?php
$this->assign('title', __('Sign In'));
$this->assign('description', __('Sign in to start your session'));
?>
<div class="col-11 col-md-6 col-lg-7 col-xl-5 space">
	<h1 class="h2 text-center mb-30 color-primary"><?= __('Welcome back') ?></h1>

	<?= $this->Form->create($user, ['class' => 'form form--sm']); ?>
	<?= $this->Flash->render() ?>
	<div class="form-group mb-20">
		<label class="label-control mb-10" for="username"><?= __('Username:') ?></label>
		<?=
		$this->Form->control('username', [
			'label' => false,
			'placeholder' => __('Username or email address'),
			'class' => 'form-control',
		])
		?>
	</div>

	<div class="form-group mb-20">
		<div class="d-flex align-items-center justify-content-between mb-10">
		<label class="label-control" for="password"><?= __('Password:') ?></label>
		<a class="small btn--color-primary btn-text-hover" href="<?= $this->Url->build([
			'controller' => 'Users',
			'action' => 'forgotPassword',
			'prefix' => 'auth',
		]); ?>"><?= __('I forgot my password') ?></a>
		</div>
		<?=
		$this->Form->control('password', [
			'label' => false,
			'placeholder' => __('Password'),
			'class' => 'form-control',
		])
		?>
	</div>

	<?php if ((get_option('enable_captcha_signin', 'no') == 'yes') && isset_captcha()) : ?>
		<div class="form-group captcha text-center">
			<div id="captchaSignin" style="display: inline-block;"></div>
		</div>
	<?php endif; ?>
	<div class="form-group custom-control custom-checkbox d-flex align-items-center justify-content-between">
		<?= $this->Form->control('remember_me', [
			'type' => 'checkbox',
			'label' => __('Remember me'),
		]) ?>
		<?= $this->Form->button(__('Sign In'), [
			'class' => 'btn btn--bg-primary btn-splash-hover btn-3d-hover btn-captcha',
			'id' => 'invisibleCaptchaSignin',
		]); ?>
	</div>
	<?= $this->Form->end() ?>

	<div class="social-auth-links text-center">
			<p>- <?= __("OR") ?> -</p>
		<ul class="social-lists d-flex justify-content-center justify-content">
			<li>
				<?php if ((bool)get_option('social_login_facebook', false)) : ?>
					<?php
					echo $this->Form->postLink(
						'<i class="fa fa-facebook"></i> ' . __(""),
						[
							'prefix' => false,
							'plugin' => 'ADmad/SocialAuth',
							'controller' => 'Auth',
							'action' => 'login',
							'provider' => 'facebook',
							'?' => ['redirect' => $this->request->getQuery('redirect')],
						],
						[
							'style' => 'margin-bottom: 5px;',
							'escape' => false,
						]
					);
					?>
				<?php endif; ?>
			</li>
			<li>
				<?php if ((bool)get_option('social_login_twitter', false)) : ?>
					<?php
					echo $this->Form->postLink(
						'<i class="fa fa-twitter"></i> ' . __(""),
						[
							'prefix' => false,
							'plugin' => 'ADmad/SocialAuth',
							'controller' => 'Auth',
							'action' => 'login',
							'provider' => 'twitter',
							'?' => ['redirect' => $this->request->getQuery('redirect')],
						],
						[
							'style' => 'margin-bottom: 5px;',
							'escape' => false,
						]
					);
					?>
				<?php endif; ?>
			</li>
			<li>
				<?php if ((bool)get_option('social_login_google', false)) : ?>
					<?php
					echo $this->Form->postLink(
						'<i class="fa fa-google-plus"></i> ' . __(""),
						[
							'prefix' => false,
							'plugin' => 'ADmad/SocialAuth',
							'controller' => 'Auth',
							'action' => 'login',
							'provider' => 'google',
							'?' => ['redirect' => $this->request->getQuery('redirect')],
						],
						[
							'style' => 'margin-bottom: 5px;',
							'escape' => false,
						]
					);
					?>
				<?php endif; ?>
			</li>
		</ul>
	</div>


	<div class="text-left mt-30">
		<?php if ((bool)get_option('close_registration', false) === false) : ?>
			<span>
				<?= __('Don,t have an account?') ?>
				<a class="btn--color-primary btn-text-hover" href="<?= $this->Url->build(['controller' => 'Users', 'action' => 'signup', 'prefix' => 'auth']); ?>">
					<?= __('Register a new membership') ?>
				</a>
			</span>
		<?php endif; ?>
	</div>
	<?php $this->start('scriptBottom'); ?>

	<script>
	  var url_href = window.location.href;
	  if (url_href.substr(-1) === '#') {
		history.pushState('', document.title, url_href.substr(0, url_href.length - 1));
	  }
	</script>
</div>
<?php $this->end(); ?>
