<?php
/**
 * @var \App\View\AppView $this
 */
?>
<?php
$this->assign('title', __('Create an Account'));
$this->assign('description', __('Register a new membership'));
?>

<div class="col-11 col-md-6 col-lg-7 col-xl-5 space">
	<h1 class="h4 text-center mb-30 color-primary">
		<?= __('Register a new membership') ?>
	</h1>

	<?= $this->Form->create($user, ['class' => 'form form--sm','id' => 'signup-form']); ?>
	<?= $this->Flash->render() ?>

	<div class="form-group mb-20">
		<label class="label-control mb-10" for="username"><?= __('Username:') ?></label>
		<?=
		$this->Form->control('username', [
			'label' => false,
			'placeholder' => __('Username'),
			'class' => 'form-control'
		])
		?>
	</div>
	<div class="form-group mb-20">
		<label class="label-control mb-10" for="email"><?= __('Email Address:') ?></label>
		<?=
		$this->Form->control('email', [
			'label' => false,
			'placeholder' => __('Email'),
			'class' => 'form-control'
		])
		?>
	</div>
	<div class="form-group mb-20">
		<label class="label-control mb-10" for="password"><?= __('Password:') ?></label>
		<?=
		$this->Form->control('password', [
			'label' => false,
			'placeholder' => __('Password'),
			'class' => 'form-control'
		])
		?>
	</div>
	<div class="form-group mb-20">
		<label class="label-control mb-10" for="cpassword"><?= __('Re Enter Password:') ?></label>
		<?=
		$this->Form->control('password_compare', [
			'type' => 'password',
			'label' => false,
			'placeholder' => __('Re-enter Password'),
			'class' => 'form-control'
		])
		?>
	</div>
		<?php if ((get_option('enable_captcha_signup') == 'yes') && isset_captcha()) : ?>
			<div class="form-group captcha text-center">
				<div id="captchaSignup" style="display: inline-block;"></div>
			</div>
		<?php endif; ?>

		<div class="form-group custom-control custom-checkbox d-flex align-items-center justify-content-between">
			<?= $this->Form->control('accept', [
				'type' => 'checkbox',
				'class' => 'custom-control-input',
				'label' => "<span class='custom-control-label mr-20'>" . __(
						"I agree to the {0} and {1}.",
						"<a class='btn--color-primary btn-text-hover' href='" . $this->Url->build('/') . 'pages/terms' . "' target='_blank'>" .
						__('Terms of Use') . "</a>",
						"<a class='btn--color-primary btn-text-hover' href='" . $this->Url->build('/') . 'pages/privacy' . "' target='_blank'>" .
						__('Privacy Policy') . "</a>"
					) . "</span>",
				'escape' => false
			]) ?>

			<?= $this->Form->button(__('Register'), [
				'class' => 'btn btn--bg-primary btn-splash-hover btn-3d-hover btn-flat btn-captcha mb-20',
				'id' => 'invisibleCaptchaSignup'
			]); ?>
		</div>

	<?= $this->Form->end() ?>

	<div class="social-auth-links text-center">
			<p>- <?= __("OR") ?> -</p>
		<ul class="social-lists d-flex justify-content-center justify-content">
			<li>
				<?php if ((bool)get_option('social_login_facebook', false)) : ?>
					<?php
					echo $this->Form->postLink(
						'<i class="fa fa-facebook"></i> ' . __(""),
						[
							'prefix' => false,
							'plugin' => 'ADmad/SocialAuth',
							'controller' => 'Auth',
							'action' => 'login',
							'provider' => 'facebook',
							'?' => ['redirect' => $this->request->getQuery('redirect')]
						],
						[
							'style' => 'margin-bottom: 5px;',
							'escape' => false
						]
					);
					?>
				<?php endif; ?>
			</li>
			<li>
				<?php if ((bool)get_option('social_login_twitter', false)) : ?>
					<?php
					echo $this->Form->postLink(
						'<i class="fa fa-twitter"></i> ' . __(""),
						[
							'prefix' => false,
							'plugin' => 'ADmad/SocialAuth',
							'controller' => 'Auth',
							'action' => 'login',
							'provider' => 'twitter',
							'?' => ['redirect' => $this->request->getQuery('redirect')]
						],
						[
							'style' => 'margin-bottom: 5px;',
							'escape' => false
						]
					);
					?>
				<?php endif; ?>
			</li>
			<li>
				<?php if ((bool)get_option('social_login_google', false)) : ?>
					<?php
					echo $this->Form->postLink(
						'<i class="fa fa-google-plus"></i> ' . __(""),
						[
							'prefix' => false,
							'plugin' => 'ADmad/SocialAuth',
							'controller' => 'Auth',
							'action' => 'login',
							'provider' => 'google',
							'?' => ['redirect' => $this->request->getQuery('redirect')]
						],
						[
							'style' => 'margin-bottom: 5px;',
							'escape' => false
						]
					);
					?>
				<?php endif; ?>
			</li>
		</ul>
	</div>
	<span>
		<a class="btn--color-primary btn-text-hover" href="<?= $this->Url->build([
			'controller' => 'Users', 
			'action' => 'signin', 
			'prefix' => 'auth']); 
		?>">
		<?= __('I already have a membership') ?>
		</a>
	<span>
</div>