<?php
/**
 * @var \App\View\AppView $this
 */
?>
<!DOCTYPE html>
<html lang="<?= locale_get_primary_language(null) ?>">
<head>
    <?= $this->Html->charset(); ?>
    <title><?= h($this->fetch('title')); ?></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="<?= h($this->fetch('description')); ?>">
    <meta name="keywords" content="<?= h(get_option('seo_keywords')); ?>">

    <!-- favicon CSS -->
<?= $this->Assets->favicon() ?>
    <!-- google fonts -->
	<link href="https://fonts.googleapis.com/css?family=Noto+Serif:400,400i" rel="stylesheet">
	<link href="https://fonts.googleapis.com/css?family=Alice" rel="stylesheet">


    <?php
    if ((bool)get_option('combine_minify_css_js', false)) {
        echo $this->Assets->css('/blueTheme/build/css/styles.min.css?ver=' . APP_VERSION);
    } else {
    echo $this->Assets->css('/blueTheme/css/owl.carousel.css?ver=' . APP_VERSION);
	echo $this->Assets->css('/blueTheme/css/plugins.min.css?ver=' . APP_VERSION);
    echo $this->Assets->css('/blueTheme/css/app.css?ver=' . APP_VERSION);
	echo $this->Assets->css('/blueTheme/icons/css/simple-line-icons.css?ver=' . APP_VERSION);
	echo $this->Assets->css('/blueTheme/icons/css/flag-icon.min.css?ver=' . APP_VERSION);
    }

    echo $this->fetch('meta');
    echo $this->fetch('css');
    echo $this->fetch('script');
    ?>

    <?= get_option('auth_head_code'); ?>

    <?= $this->fetch('scriptTop') ?>

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="//oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
    <script src="//oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>
<!-- =========== Preloader ============ -->
<div class="preloader-main">
	<div class="preloader-wapper">
		<svg class="preloader" xmlns="http://www.w3.org/2000/svg" version="1.1" width="600" height="200">
			<defs>
				<filter id="goo" x="-40%" y="-40%" height="200%" width="400%">
					<feGaussianBlur in="SourceGraphic" stdDeviation="10" result="blur" />
					<feColorMatrix in="blur" mode="matrix" values="1 0 0 0 0  0 1 0 0 0  0 0 1 0 0  0 0 0 19 -8" result="goo" />
				</filter>
			</defs>
			<g filter="url(#goo)">
				<circle class="dot bg-fill-primary " cx="50" cy="50" r="25" />
				<circle class="dot" cx="50" cy="50" r="25" fill="#4c83ff" />
			</g>
		</svg>
		<div>
			<div class="loader-section section-left"></div>
			<div class="loader-section section-right"></div>
		</div>
	</div>
</div>
<!-- =========== Preloader End ============ --> 
<body class="" data-spy="scroll" data-target="#navbar-nav">
	<!-- =========== Start of Navigation (main menu) ============ -->
	<header class="navbar navbar-expand-lg navbar-light">
		<div class="container position-relative">
			<!--  End of brand logo -->
			<a class="btn btn--underline btn--color-white btn-text-hover" style="width:135px;" href="<?php echo $this->Url->build('/'); ?>">
				<?= get_logo_alt()['content'] ?>
			</a>
			<!--  End of brand logo -->
			<button class="navbar-toggler d-lg-none" type="button" data-toggle="navbarToggler" aria-label="Toggle navigation">
				<span class="navbar-toggler-icon"></span>
			</button>
			<!-- end of Nav toggler -->

			<div class="navbar-inner ml-lg-auto">
				<!--  Nav close button inside off-canvas/ mobile menu -->
				<button class="navbar-toggler d-lg-none" type="button" data-toggle="navbarToggler" aria-label="Toggle navigation">
					<span class="navbar-toggler-icon"></span>
				</button>
				<!-- end of Nav Toggoler -->
				<nav>
					<ul class="navbar-nav" id="navbar-nav">
						<?=
						menu_display('menu_main', [
							'ul_class' => 'navbar-nav',
							'li_class' => 'nav-item',
							'a_class' => 'nav-link',
						], false);
						?>
						<?php if (count(get_site_languages(true)) > 1) : ?>
							<li class="nav-item dropdown">
								<a class="nav-link dropdown-toggle" href="javascript:;" id="navbarDropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
								<i class="fa fa-globe"></i><span class="caret"></span></a>
								<ul class="dropdown-menu">
									<?php foreach (get_site_languages(true) as $lang) : ?>
									<li>
										<?= $this->Html->link( locale_get_display_name($lang, $lang), '/' . $this->request->url . '?lang=' . $lang ,["class" => "dropdown-item"]); ?>
									</li>
									<?php endforeach; ?>
								</ul>
							</li>
						<?php endif; ?>
					</ul>
					<!-- end of nav menu items -->
				</nav>
			</div>
		</div>
		<!-- end of container -->
	</header>
	<section class="row no-gutters p-0 h-lg-100vh align-items-initial">
		<div class="col-lg d-lg-flex bg-color-primary pt-100 pb-100 py-lg-0">
			<div class="background-holder opacity-20">
				<img src="./../blueTheme/img/login.jpg" alt="Image" class="background-image-holder">
			</div>
		</div>
		<div class="col-lg-8 p-0 d-flex bg-white align-items-lg-center">
			<div class="row no-gutters flex-fill justify-content-center">

				<?= $this->fetch('content') ?>
			</div>
		</div>
		<!-- /.login-box-body -->
	</section>
	<!-- /.login-box -->

<footer>
    <div class="container text-center">
        <?= h(get_option('copyright', '')); ?>
    </div>
</footer>

<?= $this->element('js_vars'); ?>

<script data-cfasync="false" src="<?= $this->Assets->url('/js/ads.js') ?>"></script>

<?php
if ((bool)get_option('combine_minify_css_js', false)) {
    echo $this->Assets->script('/blueTheme/build/js/script.min.js?ver=' . APP_VERSION);
} else {
	echo $this->Assets->script('/blueTheme/js/jquery-3.3.1.min.js?ver=' . APP_VERSION);
	echo $this->Assets->script('/blueTheme/js/plugins.min.js?ver=' . APP_VERSION);
	echo $this->Assets->script('/blueTheme/js/bootstrap.js?ver=' . APP_VERSION);
	echo $this->Assets->script('/blueTheme/js/clipboard.min.js?ver=' . APP_VERSION);
	echo $this->Assets->script('/blueTheme/js/owl.carousel.js?ver=' . APP_VERSION);
	echo $this->Assets->script('/blueTheme/js/front.js?ver=' . APP_VERSION);
	echo $this->Assets->script('/blueTheme/js/custom.js?ver=' . APP_VERSION);
	echo $this->Assets->script('/blueTheme/js/app.js?ver=' . APP_VERSION);

}
?>

<?php if (in_array(get_option('captcha_type', 'recaptcha'), ['recaptcha', 'invisible-recaptcha'])) : ?>
    <script src="https://www.recaptcha.net/recaptcha/api.js?onload=onloadRecaptchaCallback&render=explicit"
            async defer></script>
<?php endif; ?>

<?php if (get_option('captcha_type') == 'solvemedia') : ?>
    <script language="javascript" type="text/javascript">
      var script = document.createElement('script');
      script.type = 'text/javascript';

      if (location.protocol === 'https:') {
        script.src = 'https://api-secure.solvemedia.com/papi/challenge.ajax';
      } else {
        script.src = 'http://api.solvemedia.com/papi/challenge.ajax';
      }
      document.body.appendChild(script);
    </script>
<?php endif; ?>

<?= $this->fetch('scriptBottom') ?>
</body>
</html>
