<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\User $logged_user
 * @var \App\Model\Entity\Plan $logged_user_plan
 */
?>
<!DOCTYPE html>
<html lang="<?= locale_get_primary_language(null) ?>">
<head>
    <?= $this->Html->charset(); ?>
    <title><?= h($this->fetch('title')); ?></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="<?= h($this->fetch('description')); ?>">

    <?= $this->Assets->favicon() ?>

    <link href="//fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic" rel="stylesheet">

	<?php
    if ((bool)get_option('combine_minify_css_js', false)) {
        echo $this->Assets->css('/member_theme/build/css/dashboard.min.css?ver=' . APP_VERSION);
    } else {
		echo $this->Assets->css('/member_theme/assets/css/bootstrap.min.css?ver=' . APP_VERSION);
		echo $this->Assets->css('/member_theme/css/style.css?ver=' . APP_VERSION);
		echo $this->Assets->css('/member_theme/css/colors/default-dark.css',['rel' => 'stylesheet'],['id' => 'theme']);

    }

    echo $this->fetch('meta');
    echo $this->fetch('css');
    echo $this->fetch('script');
    ?>

    <?= get_option('member_head_code'); ?>

    <?= $this->fetch('scriptTop') ?>

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="//oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
    <script src="//oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>
<body class="card-no-border <?= get_option('member_adminlte_theme_skin','skin-blue') ?> sidebar-mini">
<div class="preloader">
    <div class="loader">
        <div class="loader__figure"></div>
        <p class="loader__label"><?= h(get_option('site_name')) ?></p>
    </div>
</div>
<div id="main-wrapper">

    <!-- Main Header -->
    <header class="topbar">
        <!-- Header Navbar -->
        <nav class="navbar top-navbar navbar-expand-md navbar-light" role="navigation">
			<!-- Logo -->
			<div class="main-header navbar-header">
            <!-- Logo -->
			<a href="<?= $this->Url->build('/'); ?>" class="logo">
				<!-- mini logo for sidebar mini 50x50 pixels -->
				<!-- logo for regular state and mobile devices -->
				<span class="logo-lg"><?= get_option('site_name') ?></span>
			</a>
        </div>
			
	
			<!-- End Logo -->
			<div class="navbar-collapse">
				<!-- toggle and nav items -->
				<ul class="navbar-nav mr-auto">
					<!-- This is  -->
					<li class="nav-item"> <a class="nav-link nav-toggler hidden-md-up waves-effect waves-dark" href="javascript:void(0)"><i class="ti-menu"></i></a> </li>
					<li class="nav-item"> <a class="nav-link sidebartoggler hidden-sm-down waves-effect waves-dark" href="javascript:void(0)"><i class="ti-menu"></i></a> </li>
				</ul>
				<!-- Navbar Right Menu -->
                <ul class="navbar-nav my-lg-0">
						
					<li  class="nav-item dropdown">
						<?php if (in_array($logged_user->role, ['admin', 'demo'])) : ?>
							<a class="nav-link dropdown-toggle waves-effect waves-dark" href="<?= $this->Url->build([
								'controller' => 'Users',
								'action' => 'dashboard',
								'prefix' => 'admin'
							]); ?>">
								<i class="icon-equalizer"></i> <span class="hidden-sm-down waves-effect waves-dark"><?= __('Administration') ?></span>
							</a>
						<?php endif; ?>
					</li>
					

					<li  class="nav-item dropdown">
						<a class="nav-link dropdown-toggle waves-effect waves-dark" href="<?= $this->Url->build([
                            'controller' => 'Withdraws',
                            'action' => 'index',
                            'prefix' => 'member',
                        ]); ?>" > 
						<i class="hidden-sm-down icon-wallet"></i> <span class="hidden-sm-down waves-effect waves-dark"><?= __('Available Balance') ?>: <?= display_price_currency($logged_user->publisher_earnings + $logged_user->referral_earnings); ?></span>
							<div class="notify"> <span class="heartbit"></span> <span class="point"></span> </div>
						</a>
					</li>
					<?php if (count(get_site_languages(true)) > 1) : ?>	
						<li class="nav-item dropdown">
							<a class="nav-link dropdown-toggle waves-effect waves-dark" href="#" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> <i class="ti-world"></i></a>
							<div class="dropdown-menu dropdown-menu-right animated bounceInDown">
								<?php foreach (get_site_languages(true) as $lang) : ?>
									<?= $this->Html->link(
									locale_get_display_name($lang, $lang),
									'/' . $this->request->url . '?lang=' . $lang
									,["class" => "dropdown-item"]); ?>
								<?php endforeach; ?>
							</div>
						</li>
					<?php endif; ?>

                    <!-- User Account Menu -->
					<li class="nav-item dropdown">
						<a class="nav-link dropdown-toggle waves-effect waves-dark" href="#" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><img src="<?= "https://www.gravatar.com/avatar/" . md5(strtolower(trim($logged_user->email))) . "?s=160" ?>" class="profile-pic"></a>
						<div class="dropdown-menu dropdown-menu-right animated flipInY">
							<ul class="dropdown-user">
								<li>
									<div class="dw-user-box">
										<div class="u-img">
											<img src="<?= "https://www.gravatar.com/avatar/" . md5(strtolower(trim($logged_user->email))) . "?s=160" ?>"  alt="user">
										</div>
										<div class="u-text">
											<h4><?= h($logged_user->first_name); ?></h4>
											<p class="text-muted"><?= h($logged_user->email); ?></p><a href="<?= $this->Url->build([ 'controller' => 'Users', 'action' => 'profile', 'prefix' => 'member' ]); ?>" class="btn btn-rounded btn-danger btn-sm"><?= __('View Profile') ?></a>
										</div>
									</div>
								</li>
								<li role="separator" class="divider"></li>
								<li>
									<a href="<?= $this->Url->build([ 
										'controller' => 'Users', 
										'action' => 'profile', 
										'prefix' => 'member', 
									]); ?>"><i class="ti-user"></i><?= __(' My Profile') ?></a>
								</li>
								<li>
									<a href="<?= $this->Url->build([ 
									'controller' => '', 
									'action' => 'withdraws', 
									'prefix' => 'member',
								]); ?>"><i class="ti-wallet"></i><?= __(' My Balance') ?></a>
									</li>
								<li>
									<a href="<?= $this->Url->build([ 
									'controller' => 'Users', 
									'action' => 'change-password', 
									'prefix' => 'member', 
								]); ?>"><i class="ti-key"></i><?= __(' Change Password') ?></a>
									</li>
								<li role="separator" class="divider"></li>
								<?php if (in_array($logged_user->role, ['admin', 'demo'])) : ?>
									<li>
										<a href="<?= $this->Url->build([ 
										'controller' => 'Users', 
										'action' => 'dashboard', 
										'prefix' => 'admin', 
									]); ?>"><i class="ti-settings"></i><?= __(' Administration') ?></a>
									</li>
									<li role="separator" class="divider"></li>
								<?php endif; ?>
								<li>
									<a href="<?= $this->Url->build([ 
									'controller' => 'Users', 
									'action' => 'logout', 
									'prefix' => 'auth',
								]); ?>"><i class="ti-power-off"></i><?= __(' Log out') ?></a>
								</li>
							</ul>
						</div>
					</li>
                </ul>
			</div>
        </nav>
    </header>

    <!-- Left side column. contains the logo and sidebar -->
	<aside class="left-sidebar">
		<!-- Sidebar scroll-->
		<div class="scroll-sidebar">
			<!-- Sidebar navigation-->
			<nav class="sidebar-nav">
				<ul id="sidebarnav">
					<a type="button" class="btn btn-rounded btn-light m-t-10 font-15" 
						data-toggle="modal" data-target="#responsive-modal" style="margin:7px;display: block;">
						<i class="icon-link"></i> <span class="hide-menu"><?= __("New Shorten Link") ?></span>
					</a>
					<li class="nav-devider"></li>
					<?php if ((bool)get_option('wallet_enable')) : ?>
						<li>
							<a><i class="icon-credit-card text-aqua"></i>
								<span class="hide-menu"><b><?= __("Money Wallet") ?></b><br>
									<?= display_price_currency($logged_user->wallet_money) ?>
								</span>
							</a>
						</li>
					<?php endif; ?>

					<li>
						<a href="<?php echo $this->Url->build(['controller' => 'Users', 'action' => 'dashboard']); ?>">
						<i class="icon-graph"></i><span class="hide-menu"><?= __('Statistics') ?></span></a>
					</li>

					
					<li>
						<a class="has-arrow" href="#" aria-expanded="false">
						<i class="ti-link"></i><span class="hide-menu"><?= __('Manage Links') ?></span> 
						</a>
						<ul class="treeview-menu">
							<li><a href="<?php echo $this->Url->build([
									'controller' => 'Links',
									'action' => 'index'
								]); ?>"><?= __('All Links') ?></a></li>
							<li><a href="<?php echo $this->Url->build([
									'controller' => 'Links',
									'action' => 'hidden'
								]); ?>"><?= __('Hidden Links') ?></a></li>
						</ul>
					</li>
					

					<li>
						<a href="<?php echo $this->Url->build(['controller' => 'Withdraws', 'action' => 'index']); ?>">
						<i class="icon-wallet"></i><span class="hide-menu"><?= __('Withdraw') ?></span></a>
					</li>
					
					<?php if (
						$logged_user_plan->api_quick ||
						$logged_user_plan->api_mass ||
						$logged_user_plan->api_full ||
						$logged_user_plan->api_developer ||
						$logged_user_plan->bookmarklet
					) : ?>
					<li>
						<a class="has-arrow" href="#" aria-expanded="false">
							<i class="icon-wrench"></i><span class="hide-menu"><?= __('Tools') ?></span>
						</a> 
                        <ul class="treeview-menu">
                            <?php if ($logged_user_plan->api_quick) : ?>
                                <li><a href="<?php echo $this->Url->build([
                                        'controller' => 'Tools',
                                        'action' => 'quick',
                                    ]); ?>"><?= __('Quick Link') ?></a></li>
                            <?php endif; ?>
                            <?php if ($logged_user_plan->api_mass) : ?>
                                <li><a href="<?php echo $this->Url->build([
                                        'controller' => 'Tools',
                                        'action' => 'massShrinker',
                                    ]); ?>"><?= __('Mass Shrinker') ?></a></li>
                            <?php endif; ?>
                            <?php if ($logged_user_plan->api_full) : ?>
                                <li><a href="<?php echo $this->Url->build([
                                        'controller' => 'Tools',
                                        'action' => 'full',
                                    ]); ?>"><?= __('Full Page Script') ?></a></li>
                            <?php endif; ?>
                            <?php if ($logged_user_plan->api_developer) : ?>
                                <li><a href="<?php echo $this->Url->build([
                                        'controller' => 'Tools',
                                        'action' => 'api',
                                    ]); ?>"><?= __('Developers API') ?></a></li>
                            <?php endif; ?>
                            <?php if ($logged_user_plan->bookmarklet) : ?>
                                <li><a href="<?php echo $this->Url->build([
                                        'controller' => 'Tools',
                                        'action' => 'bookmarklet',
                                    ]); ?>"><?= __('Bookmarklet') ?></a></li>
                            <?php endif; ?>
                        </ul>
					</li>
					<?php endif; ?>

					<?php if ((bool)get_option('enable_referrals', 1)) : ?>
						<li><a href="<?php echo $this->Url->build([
								'controller' => 'Users',
								'action' => 'referrals'
							]); ?>"><i class="ti-exchange-vertical"></i><span class="hide-menu"><?= __('Referrals') ?></span></a>
						</li>
					<?php endif; ?>

					<?php if (get_option('earning_mode', 'campaign') === 'campaign' &&
						get_option('enable_advertising', 'yes') == 'yes') : ?>
						<li >
							<a class="has-arrow" href="#" aria-expanded="false">
								<i class="ti-announcement"></i><span class="hide-menu"><?= __('Campaigns') ?></span>
							</a>
							<ul class="treeview-menu">
								<li><a href="<?php echo $this->Url->build([
										'controller' => 'Campaigns',
										'action' => 'index',
									]); ?>"><?= __('List') ?></a></li>
								<?php if (get_option('enable_interstitial', 'yes') == 'yes') : ?>
									<li><a href="<?php echo $this->Url->build([
											'controller' => 'Campaigns',
											'action' => 'createInterstitial',
										]); ?>"><?= __('Create Interstitial Campaign') ?></a></li>
								<?php endif; ?>
								<?php if (get_option('enable_banner', 'yes') == 'yes') : ?>
									<li><a href="<?php echo $this->Url->build([
											'controller' => 'Campaigns',
											'action' => 'createBanner',
										]); ?>"><?= __('Create Banner Campaign') ?></a></li>

								<?php endif; ?>
								<?php if (get_option('enable_popup', 'yes') == 'yes') : ?>
									<li><a href="<?php echo $this->Url->build([
											'controller' => 'Campaigns',
											'action' => 'createPopup',
										]); ?>"><?= __('Create Popup Campaign') ?></a></li>
								<?php endif; ?>
							</ul>
						</li>
					<?php endif; ?>

					<?php if (
						(bool)get_option('enable_premium_membership') ||
						get_option('earning_mode', 'campaign') === 'campaign'
					) : ?>
						<li>
							<a href="<?php echo $this->Url->build(['controller' => 'Invoices', 'action' => 'index']); ?>">
							<i class="icon-paypal"></i><span class="hide-menu"><?= __('Invoices') ?></span></a>
						</li>
					<?php endif; ?>

					<li>
						<a class="has-arrow" href="#" aria-expanded="false">
							<i class="icon-settings"></i><span class="hide-menu"><?= __('Settings') ?></span>
						</a>
						<ul class="treeview-menu">
							<li><a href="<?php echo $this->Url->build([
									'controller' => 'Users',
									'action' => 'profile',
								]); ?>"><?= __('Profile') ?></a></li>
							<li><a href="<?php echo $this->Url->build([
									'controller' => 'Users',
									'action' => 'changePassword',
								]); ?>"><?= __('Change Password') ?></a></li>
							<li><a href="<?php echo $this->Url->build([
									'controller' => 'Users',
									'action' => 'changeEmail',
								]); ?>"><?= __('Change Email') ?></a></li>
						</ul>
					</li>

					<li><a href="<?php echo $this->Url->build(['controller' => 'Forms', 'action' => 'support']); ?>"><i
						class="icon-support"></i><span class="hide-menu"><?= __('Support') ?></span></a>
					</li>
									
					<?php if ((bool)get_option('enable_premium_membership')) : ?>
						<li><a href="<?php echo $this->Url->build(['controller' => 'Users', 'action' => 'plans']); ?>">
							<i class="icon-refresh"></i><span class="hide-menu"><?= __('Change Your Plan') ?></span></a>
						</li>
				   <?php endif; ?>

				</ul>
				<!-- /.sidebar-menu -->

				<?php if ((bool)get_option('enable_premium_membership')) : ?>

					<?php
					if ($logged_user_plan->id === 1) {
						$exp_date = __("Never");
					} else {
						$exp_date = __("Never");
						if (isset($logged_user->expiration)) {
							$exp_date = $this->Time->nice($logged_user->expiration);
						}
					}
					?>

					<ul id="sidebarnav">
						<li>
							<a href="<?= $this->Url->build(['controller' => 'Users', 'action' => 'plans']); ?>">
								<i class="icon-user text-aqua"></i>
								<span class="hide-menu"><?= __("Current Plan") ?><br>
									<?= h($logged_user_plan->title) ?>
								</span>
							</a>
						</li>
						<li>
							<a href="<?= $this->Url->build(['controller' => 'Users', 'action' => 'plans']); ?>">
								<i class="icon-clock text-aqua"></i>
								<span class="hide-menu"><?= __("Expiration Date") ?><br>
									<?= $exp_date ?>
									<?php if (isset($logged_user->expiration) &&
										($this->Time->isThisWeek($logged_user->expiration) || $this->Time->isPast($logged_user->expiration))
									) : ?>
										- <?= __("Renew") ?>
									<?php endif; ?>
								</span>
							</a>
						</li>
					</ul>
				<?php endif; ?>
			</nav>
			<!-- End Sidebar navigation -->
		</div>
		<!-- End Sidebar scroll-->
	</aside>

<!-- ============================================================== -->
<!-- End Left Sidebar - style you can find in sidebar.scss  -->
<!-- ============================================================== -->
      <div class="page-wrapper">
        <div class="container-fluid">
			<!-- Content Header (Page header) -->
			<ol class="breadcrumb bc-colored m-b-30 bg-info">
				<li class="breadcrumb-item"><a href="#"><?= __('Dashboard') ?></a></li>
				<li class="breadcrumb-item active"><?= h($this->fetch('content_title')); ?></li>
            </ol>

			<!-- Main content -->
			<section class="content">
				<!-- shorten modal content -->
                <div id="responsive-modal" class="modal fade">
                    <div class="modal-dialog">
                        <div class="modal-content">
							<div class="modal-header">
								<button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
								<h4 class="modal-title"><?= __('Close') ?></h4>
							</div>
                            <div class="modal-body shorten-member">
								<?= $this->cell('Link::shortenMember') ?>
							</div>
                        </div>
                    </div>
                </div>
                <!-- /.modal -->

				<?php if (!$logged_user_plan->disable_ads && !empty(get_option('ad_member'))) : ?>
					<div class="banner banner-member">
						<div class="banner-inner">
							<?= get_option('ad_member'); ?>
						</div>
					</div>
				<?php endif; ?>

				<?= $this->Flash->render() ?>
				<?= $this->fetch('content') ?>

			</section>
        </div>
		 
	 <!-- Main Footer -->
    <footer class="footer">
        <!-- To the right -->
        <div class="pull-right hidden-xs">
			<?= __('Copyright &copy;') ?> <?= h(get_option('site_name')) ?> <?= date("Y") ?>
        </div>
        <!-- Default to the left -->
        <span class="impo"> <?= __('Made with') ?> <i class="icon-heart"></i> <?= __('by') ?> 
		<a target="_blank" href="https://www.facebook.com/designerdz/" data-toggle="tooltip" data-original-title="Design Dizad"><?= __('Design Dizad') ?></a></span>
    </footer>
      </div>
    <!-- /.content-wrapper -->

    <!-- Add the sidebar's background. This div must be placed
         immediately after the control sidebar -->
    <div class="control-sidebar-bg"></div>


</div>

<?= $this->element('js_vars'); ?>

<?php
echo $this->Assets->script('/member_theme/assets/js/ads.js');

if ((bool)get_option('combine_minify_css_js', false)) {
    echo $this->Assets->script('/member_theme/build/js/dashboard.min.js?ver=' . APP_VERSION);

} else {
	echo $this->Assets->script('/member_theme/assets/js/jquery.min.js?ver=' . APP_VERSION);
	echo $this->Assets->script('/member_theme/assets/js/popper.min.js?ver=' . APP_VERSION);
	echo $this->Assets->script('/member_theme/assets/js/bootstrap.min.js?ver=' . APP_VERSION);
	echo $this->Assets->script('/member_theme/js/perfect-scrollbar.jquery.min.js?ver=' . APP_VERSION);
	echo $this->Assets->script('/member_theme/js/waves.js?ver=' . APP_VERSION);
	echo $this->Assets->script('/member_theme/js/sidebarmenu.js?ver=' . APP_VERSION);
	echo $this->Assets->script('/member_theme/js/custom.js?ver=' . APP_VERSION);
    echo $this->Assets->script('/vendor/clipboard.min.js?ver=' . APP_VERSION);
    echo $this->Assets->script('/vendor/conditionize.jquery.js?ver=' . APP_VERSION);
    echo $this->Assets->script('/member_theme/assets/js/app.js?ver=' . APP_VERSION);
	

	
}
?>
<link rel="stylesheet" type="text/css" href="//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.1.0/cookieconsent.min.css" />
<script src="//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.1.0/cookieconsent.min.js"></script>
<script>
window.addEventListener("load", function(){
window.cookieconsent.initialise({
  "palette": {
    "popup": {
      "background": "#237afc"
    },
    "button": {
      "background": "#fff",
      "text": "#237afc"
    }
  },
  "position": "bottom-right",
  "content": {
    "href": "/pages/privacy"
  }
})});
</script>
<?= $this->fetch('scriptBottom') ?>
</body>
</html>
