<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Link[]|\Cake\Collection\CollectionInterface $links
 */
$this->assign('title', __('Manage Links'));
$this->assign('description', '');
$this->assign('content_title', __('Manage Links'));

?>
</br>
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
				<?php
				// The base url is the url where we'll pass the filter parameters
				$base_url = ['controller' => 'Links', 'action' => 'index'];

				echo $this->Form->create(null, [
					'url' => $base_url,
					'class' => 'form-inline',
				]);
				?>
				<div class="dropdown mr-1">
				<?=
				$this->Form->control('Filter.alias', [
					'label' => false,
					'class' => 'form-control',
					'type' => 'text',
					'size' => 10,
					'placeholder' => __('Alias'),
				]);
				?>
				</div>
				<div class="dropdown mr-1">
				<?=
				$this->Form->control('Filter.ad_type', [
					'label' => false,
					'options' => get_allowed_ads(),
					'empty' => __('Advertising Type'),
					'class' => 'form-control',
				]);

				?>
				</div>
				<div class="dropdown mr-1">
				<?=
				$this->Form->control('Filter.title_desc', [
					'label' => false,
					'class' => 'form-control',
					'type' => 'text',
					'placeholder' => __('Title, Desc. or URL')
				]);
				?>
				</div>
				<div class="dropdown mr-1">

				<?= $this->Form->button(__('Filter'), ['class' => 'btn btn-primary btn-sm btn-primary']); ?>&nbsp;

				<?= $this->Html->link(__('Reset'), $base_url, ['class' => 'btn btn-primary btn-sm btn-warning']); ?>

				<?= $this->Form->end(); ?>
				</div>
			</div>
		</div>    
	</div>
</div>

<?php foreach ($links as $link) : ?>

    <?php
    $short_url = get_short_url($link->alias, $link->domain);

    $title = $link->alias;
    if (!empty($link->title)) {
        $title = $link->title;
    }

    $link_info_member = '';
    if (get_option('link_info_member', 'yes') == 'yes') {
        $link_info_member = "<i class='ti-stats-up'></i> " .
            "<a href='{$short_url}/info' target='_blank'  rel='nofollow noopener noreferrer'>" .
            __('Stats') . "</a> | ";
    }
    ?>


    <div class="row">
		<div class="col-12">
			<div class="card">
				<div class="card-body">
					<h4><a href="<?= $short_url ?>" target="_blank" rel="nofollow noopener noreferrer">
							<span class="glyphicon glyphicon-link"></span> <?= h($title) ?></a></h4>
					<p class="text-muted">
						<small>
							<?= $link_info_member ?>
							<i class="icon-calender"></i> <?= display_date_timezone($link->created); ?> |
							<a target="_blank" rel="nofollow noopener noreferrer" href="<?= $link->url ?>"><?=
								strtoupper(parse_url(
									$link->url,
									PHP_URL_HOST
								)); ?>
							</a>
						</small>
					</p>
					<div class="row">
						<div class="col-sm-6">
							<div class="input-group"><input type="text" class="form-control input-sm" value="<?= $short_url ?>"
															readonly="" onfocus="javascript:this.select()">
								<div class="input-group-append copy-it" data-clipboard-text="<?= $short_url ?>"
									data-toggle="tooltip" data-placement="bottom" title="<?= __('Copy') ?>"><span class="input-group-text"><i class="icon-docs"></i></span>
								</div>
							</div></br>
						</div>
						<div class="col-sm-6">
							<div class="text-right">
								<?php if ($logged_user_plan->edit_link) : ?>
									<?=
									$this->Html->link(
										__('Edit'),
										['action' => 'edit', $link->alias],
										['class' => 'btn btn-primary btn-sm']
									);
									?>
								<?php endif; ?>

								<?=
								$this->Form->postLink(__('Hide'), ['action' => 'hide', $link->alias], [
									'confirm' => __('Are you sure?'),
									'class' => 'btn btn-danger btn-sm',
								]);
								?>
							</div>
						</div>
					</div>
				</div>
			</div>
	    </div>
    </div>

<?php endforeach; ?>

<div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups">

	<ul class="pagination">
		<?php
		$this->Paginator->setTemplates([
			'ellipsis' => '<li><a href="javascript: void(0)">...</a></li>',
		]);

		if ($this->Paginator->hasPrev()) {
			echo $this->Paginator->prev('«');
		}

		echo $this->Paginator->numbers([
			'modulus' => 4,
			'first' => 2,
			'last' => 2,
		]);

		if ($this->Paginator->hasNext()) {
			echo $this->Paginator->next('»');
		}
		?>
	</ul>
</div>