<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\User $logged_user
 * @var \App\Model\Entity\Plan $logged_user_plan
 * @var \App\Model\Entity\Link $link
 */
?>
<?php
$this->assign('title', __('Dashboard'));
$this->assign('description', '');
$this->assign('content_title', __('Dashboard'));
?>

<!-- Stats box -->
<div class="row">
    <div class="col-lg-3">
        <div class="card bg-info">
            <div class="card-body">
                <div class="d-flex no-block">
                    <div class="m-r-20 align-self-center"><?= $this->Assets->image('/member_theme/assets/images/icon/income-w.png'); ?></div>
                    <div class="align-self-center">
                        <h6 class="text-white m-t-10 m-b-0"><?= __('Total Views') ?></h6>
                        <h2 class="m-t-0 text-white"><?= $total_views ?></h2></div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-3">
        <div class="card bg-success">
            <div class="card-body">
                <div class="d-flex no-block">
                    <div class="m-r-20 align-self-center"><?= $this->Assets->image('/member_theme/assets/images/icon/expense-w.png'); ?></div>
                    <div class="align-self-center">
                        <h6 class="text-white m-t-10 m-b-0"><?= __('Total Earnings') ?></h6>
                        <h2 class="m-t-0 text-white"><?= display_price_currency($total_earnings); ?></h2></div>
                </div>
            </div>
        </div>
    </div>
	<?php if ((bool)get_option('enable_referrals', 1)) : ?>
    <div class="col-lg-3">
        <div class="card bg-primary">
            <div class="card-body">
                <div class="d-flex no-block">
                    <div class="m-r-20 align-self-center"><?= $this->Assets->image('/member_theme/assets/images/icon/staff-w.png'); ?></div>
                    <div class="align-self-center">
                        <h6 class="text-white m-t-10 m-b-0"><?= __('Referral Earnings') ?></h6>
                        <h2 class="m-t-0 text-white"><?= display_price_currency($referral_earnings); ?></h2></div>
                </div>
            </div>
        </div>
    </div>
	<?php endif; ?>
    <div class="col-lg-3">
        <div class="card bg-danger">
            <div class="card-body">
                <div class="d-flex no-block">
                    <div class="m-r-20 align-self-center"><?= $this->Assets->image('/member_theme/assets/images/icon/assets-w.png'); ?></div>
                    <div class="align-self-center">
                        <h6 class="text-white m-t-10 m-b-0"><?= __('Average CPM') ?></h6>
                        <h2 class="m-t-0 text-white"><?= (!empty($total_views)) ? display_price_currency($total_earnings / $total_views * 1000) : 0 ?></h2></div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Announcements -->
<?php if (count($announcements) > 0) : ?>
	<div class="row">
		<div class="col-md-12">
			<div class="card">
				<div class="card-body">
					<div class="d-flex no-block">
						<h4 class="card-title"><span class="lstick"></span><?= __("Announcements") ?></h4>
						<div class="btn-group ml-auto m-t-10 show">
							<i class="icon-bell"></i>
                       </div>
					</div>
				</div>
				<div class="activity-box">
				<?php foreach ($announcements as $announcement) : ?>
					<div class="date-devider"><span><?= h($announcement->title); ?></span></div>
					<div class="card-body">
						<!-- Activity item-->
						<div class="activity-item">
							<div class="m-t-10">
								<h5 class="m-b-0 font-medium"><?= h($announcement->title); ?> <span class="text-muted font-14 m-l-10">| &nbsp; <?= h($announcement->created); ?></span></h5>
								<table class="table vm b-0 m-b-0">
									<tbody><tr>
										<td class="b-0">
											<h5 class="m-b-0 font-medium "><?= $announcement->content; ?></h5>
									</tr>
								</tbody></table>
							</div>
						</div>
						<!-- Activity item-->
					</div>
				<?php endforeach; ?>
				<?php unset($announcement) ?>
				</div>
			</div>
		</div>
	</div>
<?php endif; ?>

<!-- Statistics -->
<div class="row">
	<div class="col-md-12">
		<div class="card">
			<div class="card-body">
				<div class="d-flex">
					<div>
						<h3 class="card-title m-b-5"><span class="lstick"></span><?= __('Statistics') ?> </h3>
					</div>
					<div class="ml-auto">
						<div style="display: inline-block;">
							<?=
							$this->Form->create(null, [
								'type' => 'get',
								'url' => ['controller' => 'Users', 'action' => 'dashboard'],
							]);
							?>

							<?=
							$this->Form->control('month', [
								'label' => false,
								'options' => $year_month,
								'value' => ($this->request->getQuery('month')) ? h($this->request->getQuery('month')) : '',
								'class' => 'form-control input-lg',
								'onchange' => 'this.form.submit();',
								'style' => 'width: 300px;',
							]);
							?>

							<?= $this->Form->button(__('Submit'), ['class' => 'hidden']); ?>

							<?= $this->Form->end(); ?>
						</div>
					</div>
				</div>
				<div id="morris-line-chart" class="p-relative" style="height:360px;"></div>
				<div class="small text-right" style="padding-right: 10px;">
					<?= __('Data is reported in {0} timezone', get_option('timezone', 'UTC')) ?>
				</div>
			</div>
		</div>
	</div>
</div>
<!-- Earnings Month -->
<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-body">
                <div class="d-flex no-block">
                    <div>
                        <h4 class="card-title"><span class="lstick"></span><?= __('Earnings Month') ?></h4></div>
                </div>
                <div class="table-responsive m-t-20 no-wrap">
					<div style="height: 300px;overflow: auto;">
						<table class="table vm no-th-brd pro-of-month">
							<thead>
							<tr>
								<th colspan="0"><?= __('Date') ?></th>
								<th><?= __('Views') ?></th>
								<th><?= __('Link Earnings') ?></th>
								<th><?= __('Daily CPM') ?></th>
								<th><?= __('Referral Earnings') ?></th>
							</tr>
							</thead>
							<tbody>
							<?php foreach ($CurrentMonthDays as $key => $value) : ?>
								<tr>
									<td><h6><?= $key ?></h6></td>
									<td><?= $value['view'] ?></td>
									<td><?= display_price_currency($value['publisher_earnings']); ?></td>
									<td>
										<?= (!empty($value['view'])) ? display_price_currency(($value['publisher_earnings'] / $value['view']) * 1000) : 0 ?>
									</td>
									<td><?= display_price_currency($value['referral_earnings']); ?></td>
								</tr>
							<?php endforeach; ?>
							</tbody>
						</table>
					</div>
				</div>
            </div>
        </div>
    </div>
</div>


<div class="card">
    <div class="card-body">
		<div class="d-flex no-block">
			<div>
				<h4 class="card-title"><span class="lstick"></span><?= __("Top 10 Links") ?></h4>
			</div>
		</div>
        <div class="box-body">
            <table class="table table-hover table-striped">
                <thead>
                <tr>
                    <th><?= __('Date') ?></th>
                    <th><?= __('Views') ?></th>
                    <th><?= __('Link Earnings') ?></th>
                </tr>
                </thead>
                <?php foreach ($popularLinks as $link) : ?>
                    <?php
                    if (!$link->views) {
                        continue;
                    }
                    ?>
                    <?php
                    $short_url = get_short_url($link->link->alias, $link->link->domain);

                    $title = $link->link->alias;
                    if (!empty($link->link->title)) {
                        $title = $link->link->title;
                    }
                    ?>
                    <tr>
                        <td><a href="<?= $short_url ?>" target="_blank" rel="nofollow noopener noreferrer">
                                <span class="glyphicon glyphicon-link"></span> <?= h($title) ?></a></td>
                        <td><?= $link->views ?></td>
                        <td><?= display_price_currency($link->publisher_earnings); ?></td>
                    </tr>
                <?php endforeach; ?>
                <?php unset($link) ?>
            </table>
        </div>
    </div>
</div>



<?php $this->start('scriptBottom'); ?>


    <script src="https://cdn.jsdelivr.net/gh/DmitryBaranovskiy/raphael@v2.1.0/raphael-min.js"></script>
    <script src="https://cdn.jsdelivr.net/gh/almasaeed2010/AdminLTE@v2.3.11/plugins/morris/morris.min.js"
            type="text/javascript"></script>
			
    <script>
      jQuery(document).ready(function() {
        new Morris.Line({
          element: 'morris-line-chart',
          resize: true,
          data: [
              <?php
              foreach ($CurrentMonthDays as $key => $value) {
                  echo '{date: "' . $key . '", views: ' . $value['view'] . '},';
              }
              ?>
          ],
          xkey: 'date',
          xLabels: 'day',
          ykeys: ['views'],
          labels: ['<?= __('Views') ?>'],
          lineColors: ['#009efb'],
          gridLineColor: '#eef0f2',
          lineWidth: 1,
          hideHover: 'auto',
		  
        });
      });
    </script>

<?php $this->end();
